CVE-2001-0194
CVSS10.0
发布时间 :2001-05-03 00:00:00
修订时间 :2008-09-05 16:23:30
NMCO    

[原文]Buffer overflow in httpGets function in CUPS 1.1.5 allows remote attackers to execute arbitrary commands via a long input line.


[CNNVD]CUPS httpGets函数缓冲区溢出漏洞(CNNVD-200105-053)

        CUPS 1.1.5中httpGets函数存在缓冲区溢出漏洞。远程攻击者借助超长输入行执行任意命令。

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-0194
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-0194
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200105-053
(官方数据源) CNNVD

- 其它链接及资源

http://www.linux-mandrake.com/en/security/2001/MDKSA-2001-020.php3
(VENDOR_ADVISORY)  MANDRAKE  MDKSA-2001:020-1
http://xforce.iss.net/xforce/xfdb/6043
(UNKNOWN)  XF  cups-httpgets-dos(6043)
http://www.osvdb.org/6064
(UNKNOWN)  OSVDB  6064

- 漏洞信息

CUPS httpGets函数缓冲区溢出漏洞
危急 缓冲区溢出
2001-05-03 00:00:00 2006-08-31 00:00:00
远程  
        CUPS 1.1.5中httpGets函数存在缓冲区溢出漏洞。远程攻击者借助超长输入行执行任意命令。

- 公告与补丁

        

- 漏洞信息

6064
CUPS httpGets() Function Overflow DoS
Remote / Network Access Denial of Service, Input Manipulation
Loss of Integrity, Loss of Availability
Exploit Unknown

- 漏洞描述

CUPS contains a flaw that may allow a remote denial of service. The issue is triggered when a line longer than the input buffer size was sent by a client, and will result in loss of availability for the machine.

- 时间线

2001-02-01 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.1.6-10 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站